CVE-2018-10931

HIGH

Description

It was found that cobbler 2.6.x exposed all functions from its CobblerXMLRPCInterface class over XMLRPC. A remote, unauthenticated attacker could use this flaw to gain high privileges within cobbler, upload files to arbitrary location in the context of the daemon.

References

https://access.redhat.com/errata/RHSA-2018:2372

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2018-10931

https://lists.fedoraproject.org/archives/list/[email protected]/message/5P5Q4ACIVZ5D4KSUDLGRTOKGGB4U42SD/

https://lists.fedoraproject.org/archives/list/[email protected]/message/CMWK5KCCZXOGOYNR2H6BWDSABTQ5NYJA/

Details

Source: MITRE

Published: 2018-08-09

Updated: 2019-09-11

Type: CWE-749

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (9 total)

IDNameProductFamilySeverity
145357openSUSE Security Update : cobbler (openSUSE-2021-46)NessusSuSE Local Security Checks
critical
129617Fedora 31 : cobbler (2019-502f1a2c67)NessusFedora Local Security Checks
high
128745Fedora 29 : cobbler (2019-cd24f60a94)NessusFedora Local Security Checks
high
128744Fedora 30 : cobbler (2019-3cacfb34ad)NessusFedora Local Security Checks
high
120290Fedora 29 : cobbler (2018-22c609e92a)NessusFedora Local Security Checks
high
120274Fedora 28 : cobbler (2018-1d2a79fe1c)NessusFedora Local Security Checks
high
112271SUSE SLES11 Security Update : cobbler (SUSE-SU-2018:2550-1)NessusSuSE Local Security Checks
high
112266openSUSE Security Update : cobbler (openSUSE-2018-952)NessusSuSE Local Security Checks
high
111623RHEL 6 : cobbler (RHSA-2018:2372)NessusRed Hat Local Security Checks
high